Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02513 Graphics Minor Always Oct 10, 2008, 17:13 Oct 16, 2008, 06:12
Tester Scagazza View Status Public Platform MAME (Self-compiled)
Assigned To Resolution No change required OS
Status [?] Closed Driver seta/ssv.cpp
Version 0.127u7 Fixed in Version Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 02513: twineag2: Screen is not cropped
Description There are black portion of the screen and I suppose that's not the right behaviour
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems twineag2
Attached Files
png file icon 0000.png (104,354 bytes) Oct 10, 2008, 17:13
Relationships
related to 02541Closed  2020bb, ringrage: The screen is positioned incorrectly. 
Notes
5
User avatar
No.02749
Tafoid
Administrator
Oct 10, 2008, 18:28
edited on: Oct 10, 2008, 18:28
This is the artwork file cropping the game even though you are not using the artwork. If you got rid of the artwork file, the game will not be set up in this orientation and you will not have this cropping behavior. This is common behavior in many games which artwork has been installed in the folder, despite being triggered off with command-line or .CFG/.INI contents.

I'd like some official DEV response on this - but if I remember Mr. Do mentioning one time that this was unavoidable in certain artwork cases.
User avatar
No.02810
Tafoid
Administrator
Oct 13, 2008, 17:44
Actually, I just finished my 0.127u8 build and this issue seems to be Resolved. If you shut off artwork in program or CFG the artwork format is still kept, but the artwork is gone. Switching view from FULL to CROPPED brings the screen back to it's original (non-artwork) configuration. Before, using CROPPED for the view wouldn't fix this and regardless of that setting - the screen would be oriented as it is in the artwork files.

Give it a try and see if it work - compare u7 and u8 to see the difference.
User avatar
No.02837
Scagazza
Tester
Oct 14, 2008, 08:10
edited on: Oct 14, 2008, 08:10
I have deleted the cfg file and shut off artwork from mameUI settings still the problem is there. I think nothing is solved.
User avatar
No.02842
Smitdogg
Moderator
Oct 14, 2008, 17:06
Yeah this is the same bug as 02541.
User avatar
No.02862
aaron
Developer
Oct 16, 2008, 06:12
See the associated bug for details, but this is a problem with the way the .lay files are authored.